# Enum DriverVolumeOperationType

java.lang.Object
java.lang.Enum<DriverVolumeOperationType>
com.databricks.jdbc.model.telemetry.enums.DriverVolumeOperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<DriverVolumeOperationType>`, `java.lang.constant.Constable`

public enum DriverVolumeOperationType extends Enum<DriverVolumeOperationType>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DELETE`
`GET`
`LIST`
`PUT`
`QUERY`
`TYPE_UNSPECIFIED`

## Method Summary

Modifier and Type
Method
Description
`static DriverVolumeOperationType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DriverVolumeOperationType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TYPE_UNSPECIFIED

public static final DriverVolumeOperationType TYPE_UNSPECIFIED

### PUT

public static final DriverVolumeOperationType PUT

### GET

public static final DriverVolumeOperationType GET

### DELETE

public static final DriverVolumeOperationType DELETE

### LIST

public static final DriverVolumeOperationType LIST

### QUERY

public static final DriverVolumeOperationType QUERY

## Method Details

### values

public static DriverVolumeOperationType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DriverVolumeOperationType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null